<?php

$prime_seo_agency_custom_css = "";

$prime_seo_agency_primary_color = get_theme_mod('prime_seo_agency_primary_color');

/*------------------ Primary Global Color -----------*/

if ($prime_seo_agency_primary_color) {
  $prime_seo_agency_custom_css .= ':root {';
  $prime_seo_agency_custom_css .= '--primary-color: ' . esc_attr($prime_seo_agency_primary_color) . ' !important;';
  $prime_seo_agency_custom_css .= '} ';
}

/*-------------------- Container Width-------------------*/

$prime_seo_agency_theme_width = get_theme_mod( 'prime_seo_agency_theme_width','full-width');

if($prime_seo_agency_theme_width == 'full-width'){
$prime_seo_agency_custom_css .='body{';
	$prime_seo_agency_custom_css .='max-width: 100% !important;';
$prime_seo_agency_custom_css .='}';
}else if($prime_seo_agency_theme_width == 'container'){
$prime_seo_agency_custom_css .='body{';
	$prime_seo_agency_custom_css .='width: 80% !important; padding-right: 15px; padding-left: 15px;  margin-right: auto !important; margin-left: auto !important;';
$prime_seo_agency_custom_css .='}';
}else if($prime_seo_agency_theme_width == 'container-fluid'){
$prime_seo_agency_custom_css .='body{';
	$prime_seo_agency_custom_css .='width: 95% !important;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
$prime_seo_agency_custom_css .='}';
}

/*-------------------- Post Content Alignment-------------------*/

$prime_seo_agency_single_post_align = get_theme_mod( 'prime_seo_agency_single_post_align','left-align');

if($prime_seo_agency_single_post_align == 'left-align'){
$prime_seo_agency_custom_css .='body:not(.hide-post-meta) .post{';
	$prime_seo_agency_custom_css .='text-align: left';
$prime_seo_agency_custom_css .='}';
}else if($prime_seo_agency_single_post_align == 'right-align'){
$prime_seo_agency_custom_css .='body:not(.hide-post-meta) .post{';
	$prime_seo_agency_custom_css .='text-align: right';
$prime_seo_agency_custom_css .='}';
}else if($prime_seo_agency_single_post_align == 'center-align'){
$prime_seo_agency_custom_css .='body:not(.hide-post-meta) .post{';
	$prime_seo_agency_custom_css .='text-align: center';
$prime_seo_agency_custom_css .='}';
}

/*-------------------- Scroll Top Alignment-------------------*/

$prime_seo_agency_scroll_top_alignment = get_theme_mod( 'prime_seo_agency_scroll_top_alignment','right-align');

if($prime_seo_agency_scroll_top_alignment == 'right-align'){
$prime_seo_agency_custom_css .='#button{';
	$prime_seo_agency_custom_css .='right: 5%;';
$prime_seo_agency_custom_css .='}';
}else if($prime_seo_agency_scroll_top_alignment == 'center-align'){
$prime_seo_agency_custom_css .='#button{';
	$prime_seo_agency_custom_css .='right:0; left:0; margin: 0 auto;';
$prime_seo_agency_custom_css .='}';
}else if($prime_seo_agency_scroll_top_alignment == 'left-align'){
$prime_seo_agency_custom_css .='#button{';
	$prime_seo_agency_custom_css .='left: 5%;';
$prime_seo_agency_custom_css .='}';
}

/*-------------------- Archive Page Pagination Alignment-------------------*/

$prime_seo_agency_archive_pagination_alignment = get_theme_mod( 'prime_seo_agency_archive_pagination_alignment','left-align');

if($prime_seo_agency_archive_pagination_alignment == 'right-align'){
$prime_seo_agency_custom_css .='.pagination{';
	$prime_seo_agency_custom_css .='justify-content: end;';
$prime_seo_agency_custom_css .='}';
}else if($prime_seo_agency_archive_pagination_alignment == 'center-align'){
$prime_seo_agency_custom_css .='.pagination{';
	$prime_seo_agency_custom_css .='justify-content: center;';
$prime_seo_agency_custom_css .='}';
}else if($prime_seo_agency_archive_pagination_alignment == 'left-align'){
$prime_seo_agency_custom_css .='.pagination{';
	$prime_seo_agency_custom_css .='justify-content: start;';
$prime_seo_agency_custom_css .='}';
}

// Scroll to top button shape 

$prime_seo_agency_scroll_border_radius = get_theme_mod( 'prime_seo_agency_scroll_to_top_radius','curved-box');
if($prime_seo_agency_scroll_border_radius == 'box'){
	$prime_seo_agency_custom_css .='#button{';
		$prime_seo_agency_custom_css .='border-radius: 0px;';
	$prime_seo_agency_custom_css .='}';
}else if($prime_seo_agency_scroll_border_radius == 'curved-box'){
	$prime_seo_agency_custom_css .='#button{';
		$prime_seo_agency_custom_css .='border-radius: 4px;';
	$prime_seo_agency_custom_css .='}';
}
else if($prime_seo_agency_scroll_border_radius == 'circle'){
	$prime_seo_agency_custom_css .='#button{';
		$prime_seo_agency_custom_css .='border-radius: 50%;';
	$prime_seo_agency_custom_css .='}';
}

// Footer Background Image Attachment 

$prime_seo_agency_footer_attachment = get_theme_mod( 'prime_seo_agency_background_attachment','scroll');
if($prime_seo_agency_footer_attachment == 'fixed'){
	$prime_seo_agency_custom_css .='.site-footer{';
		$prime_seo_agency_custom_css .='background-attachment: fixed;';
	$prime_seo_agency_custom_css .='}';
}elseif ($prime_seo_agency_footer_attachment == 'scroll'){
	$prime_seo_agency_custom_css .='.site-footer{';
		$prime_seo_agency_custom_css .='background-attachment: scroll;';
	$prime_seo_agency_custom_css .='}';
}

// Menu Hover Style	

$prime_seo_agency_menus_item = get_theme_mod( 'prime_seo_agency_menus_style','None');
if($prime_seo_agency_menus_item == 'None'){
	$prime_seo_agency_custom_css .='#site-navigation .menu ul li a:hover, .main-navigation .menu li a:hover{';
		$prime_seo_agency_custom_css .='';
	$prime_seo_agency_custom_css .='}';
}else if($prime_seo_agency_menus_item == 'Zoom In'){
	$prime_seo_agency_custom_css .='#site-navigation .menu ul li a:hover, .main-navigation .menu li a:hover{';
		$prime_seo_agency_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important;';
	$prime_seo_agency_custom_css .='}';
		  
	$prime_seo_agency_custom_css .= '.main-navigation ul ul li a:hover {';
	$prime_seo_agency_custom_css .= 'margin-left: 20px;';
	$prime_seo_agency_custom_css .= '}';
}	
